### Method

# FwupdPlugin StructEfiHardDriveDevicePath get_signature_type

#### Declaration [src]

    FuEfiHardDriveDevicePathSignatureType
    fu_struct_efi_hard_drive_device_path_get_signature_type (
      const FuStructEfiHardDriveDevicePath* st
    )

#### Description

No description available.

This method is not directly available to language bindings.

#### Return value

Returns: | `FuEfiHardDriveDevicePathSignatureType`
| No description available.